Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_Find_Worker_T< TYPE, INTERFACE, INTERFACE_PTR, EXCEPTION > Class Template Reference

Helper to locate a TYPE given its ID. More...

`#include <Find_Worker_T.h>`

Inheritance diagram for TAO_Notify_Find_Worker_T< TYPE, INTERFACE, INTERFACE_PTR, EXCEPTION >:

[legend]
Collaboration diagram for TAO_Notify_Find_Worker_T< TYPE, INTERFACE, INTERFACE_PTR, EXCEPTION >:

[legend]
List of all members.

## Public Methods
| TAO_Notify_Find_Worker_T (void)
| Constructor.
TYPE * | find (TAO_Notify_Object::ID id, CONTAINER &container ACE_ENV_ARG_DECL)
| Find the Type.
INTERFACE_PTR | resolve (TAO_Notify_Object::ID id, CONTAINER &container ACE_ENV_ARG_DECL)
| Find and resolve to the Interface.
## Protected Methods
void | work (TYPE *object ACE_ENV_ARG_DECL)
| = TAO_ESF_Worker method
## Protected Attributes
TAO_Notify_Object::ID | id_
| The id we're looking for.
TYPE * | result_
| The result.
## Private Types
typedef TAO_Notify_Container_T< TYPE > | CONTAINER
typedef TAO_ESF_Proxy_Collection< TYPE > | COLLECTION

## Detailed Description

### template<class TYPE, class INTERFACE, class INTERFACE_PTR, class EXCEPTION>
class TAO_Notify_Find_Worker_T< TYPE, INTERFACE, INTERFACE_PTR, EXCEPTION >

Helper to locate a TYPE given its ID.

## Member Typedef Documentation

template<class TYPE, class INTERFACE, class INTERFACE_PTR, class EXCEPTION>
typedef TAO_ESF_Proxy_Collection<TYPE> TAO_Notify_Find_Worker_T< TYPE, INTERFACE, INTERFACE_PTR, EXCEPTION >::COLLECTION`[private]`

template<class TYPE, class INTERFACE, class INTERFACE_PTR, class EXCEPTION>
typedef TAO_Notify_Container_T<TYPE> TAO_Notify_Find_Worker_T< TYPE, INTERFACE, INTERFACE_PTR, EXCEPTION >::CONTAINER`[private]`

## Constructor & Destructor Documentation

template<class TYPE, class INTERFACE, class INTERFACE_PTR, class EXCEPTION>
TAO_Notify_Find_Worker_T< TYPE, INTERFACE, INTERFACE_PTR, EXCEPTION >::TAO_Notify_Find_Worker_T | ( | void |  | ) |

| Constructor.

## Member Function Documentation

template<class TYPE, class INTERFACE, class INTERFACE_PTR, class EXCEPTION>
TYPE * TAO_Notify_Find_Worker_T< TYPE, INTERFACE, INTERFACE_PTR, EXCEPTION >::find | ( | TAO_Notify_Object::ID | id,
|  | CONTAINER &container | ACE_ENV_ARG_DECL
| ) |

| Find the Type.

template<class TYPE, class INTERFACE, class INTERFACE_PTR, class EXCEPTION>
INTERFACE_PTR TAO_Notify_Find_Worker_T< TYPE, INTERFACE, INTERFACE_PTR, EXCEPTION >::resolve | ( | TAO_Notify_Object::ID | id,
|  | CONTAINER &container | ACE_ENV_ARG_DECL
| ) |

| Find and resolve to the Interface.

template<class TYPE, class INTERFACE, class INTERFACE_PTR, class EXCEPTION>
void TAO_Notify_Find_Worker_T< TYPE, INTERFACE, INTERFACE_PTR, EXCEPTION >::work | ( | TYPE *object | ACE_ENV_ARG_DECL | ) | `[protected, virtual]`

| = TAO_ESF_Worker method Implements TAO_ESF_Worker< TYPE >.

## Member Data Documentation

template<class TYPE, class INTERFACE, class INTERFACE_PTR, class EXCEPTION>
TAO_Notify_Object::ID TAO_Notify_Find_Worker_T< TYPE, INTERFACE, INTERFACE_PTR, EXCEPTION >::id_`[protected]`

| The id we're looking for.

template<class TYPE, class INTERFACE, class INTERFACE_PTR, class EXCEPTION>
TYPE* TAO_Notify_Find_Worker_T< TYPE, INTERFACE, INTERFACE_PTR, EXCEPTION >::result_`[protected]`

| The result.

The documentation for this class was generated from the following files:

- Find_Worker_T.h
- Find_Worker_T.cpp